Name:           athena-powershell-config
Version:        0
Release:        1%{?dist}
Summary:        PowerShell configuration for Athena.

License:        LicenseRef-Custom
URL:            https://gitlab.com/athenaos/packages/configuration/athena-powershell-config
Source0:        https://gitlab.com/athenaos/packages/configuration/athena-powershell-config/-/archive/main/%{name}-main.tar.gz

BuildArch:      noarch
Requires:       powershell

%description
Athena's default PowerShell configuration and profile.

%prep
%autosetup -n %{name}-main

%build
# Nothing to build
:

%install
install -dm 755 %{buildroot}/etc/skel/.config/powershell
install -m 755 Microsoft.PowerShell_profile.ps1 %{buildroot}/etc/skel/.config/powershell/

%files
%license
%doc
/etc/skel/.config/powershell/Microsoft.PowerShell_profile.ps1

%changelog
* Fri Apr 19 2025 Little Owl <littleowl@athenaos.org> - 0-1
- Initial RPM release of Athena PowerShell config
